/*
B160NE.INClude File. }}Version 1.00{{
Copyright 1999 Peter Hertel {B160NE} Email:bigone@hertel.no

You may use this file for free if you make a link to me from your homepage and mention me in
your image text file.

I've taken some texture from the include files in POV-Ray.

Download the newest version of "B160NE.INC" from http://hertel.no/bigone
*/

/*
This file is made by and copyrighted 1999 to Peter Hertel {B160NE} Email:bigone@hertel.no

It was made as a part of my Horror project at Internet Ray Tracing Competition (www.irtc.org)

You may use this file if you mention me as the creator, my homepage, and mail.

Visit my homepage at http://hertel.no/bigone

If you use this file for something cool, tell me, so that I know my work were useful for someone.
Please drop me some feedback.

This file is made with POV-Ray for Windows v3.1 only, no other programs.
*/

//Colors
#declare Red     = rgb <1, 0, 0>;
#declare Green   = rgb <0, 1, 0>;
#declare Blue    = rgb <0, 0, 1>;
#declare Yellow  = rgb <1,1,0>;
#declare Clear   = rgbf 1;
#declare White   = rgb 1;
#declare Black   = rgb 0;
#declare Brown = color red 0.647059 green 0.164706 blue 0.164706;

#declare Gray = color red 0.752941 green 0.752941 blue 0.752941;
//PERCENTAGE GRAYS:
#declare Gray05 = White*0.05;
#declare Gray10 = White*0.10;
#declare Gray15 = White*0.15;
#declare Gray20 = White*0.20;
#declare Gray25 = White*0.25;
#declare Gray30 = White*0.30;
#declare Gray35 = White*0.35;
#declare Gray40 = White*0.40;
#declare Gray45 = White*0.45;
#declare Gray50 = White*0.50;
#declare Gray55 = White*0.55;
#declare Gray60 = White*0.60;
#declare Gray65 = White*0.65;
#declare Gray70 = White*0.70;
#declare Gray75 = White*0.75;
#declare Gray80 = White*0.80;
#declare Gray85 = White*0.85;
#declare Gray90 = White*0.90;
#declare Gray95 = White*0.95;

//Finishes
#declare Plastic =      finish {diffuse 0.3 reflection 0.3 specular 0.7}
#declare Plastic_Dull = finish {diffuse 0.4 reflection 0.01 specular 0.3}
#declare Paperfini =    finish {diffuse 0.5 reflection 0 specular 0.3}
#declare Metal =        finish {ambient 0.3 specular 1 reflection 0.3}

//Textures
#declare Red_Liquid = texture {pigment {Red}finish {specular 0.9 reflection 0.2}}
#declare Gray_Metal = texture {pigment {Gray} finish {Metal}}
#declare Paper = texture {pigment {White} finish {Paperfini}}

#declare Plastic_Blue  = texture {pigment {Blue} finish {Plastic}}
#declare Plastic_Black = texture {pigment {Black} finish {Plastic}}

//this is two boxes I made for use when I needed only 1/4 of a torus
//note that you have to define the texture in the pov file
//object {Torus_4_10 *texture here*}
#declare Torus_4_10 =
union{
box{<-10,-10,0>,<10,10,-10>}
box{<0,-10,10>,<10,10,-10>}
}

//Table wood texture, NOTE: I didn't make this myself I took it from woods.inc,original name T_Wood35
#declare Wood1=
texture {
    pigment {
        wood
        turbulence 0.03725
        omega 0.65725
        lambda 2.425
        color_map {
            [0.250 color rgbf <1.00000, 0.53373, 0.11665, 0.000>]
            [0.350 color rgbf <0.66275, 0.28607, 0.00000, 0.000>]
            [0.525 color rgbf <1.00000, 0.53363, 0.11715, 0.000>]
            [0.600 color rgbf <0.66475, 0.28647, 0.00000, 0.000>]
            [0.750 color rgbf <1.00000, 0.53353, 0.11565, 0.000>]
            [0.850 color rgbf <0.66275, 0.28667, 0.00000, 0.000>]
            [1.000 color rgbf <1.00000, 0.53143, 0.11795, 0.000>]
        }
        scale <0.25, 0.225, 1.0>
    }
}
texture {
    pigment {
        wood
        scale 1.01275
        turbulence 0.0435
        omega 0.65
        lambda 3.15
        color_map {
            [0.200 color rgbf <0.56695, 0.17347, 0.00000, 0.8250>]
            [0.350 color rgbf <0.96471, 0.54510, 0.22753, 0.7710>]
            [0.400 color rgbf <0.56341, 0.17547, 0.00000, 0.9150>]
            [0.615 color rgbf <0.96472, 0.54510, 0.22553, 0.7590>]
            [0.700 color rgbf <0.56671, 0.17687, 0.00000, 0.7920>]
            [0.850 color rgbf <0.96485, 0.54510, 0.22453, 0.8975>]
            [1.000 color rgbf <0.56478, 0.17247, 0.00000, 0.9750>]
        }
        scale <0.225, 0.2725, 1.0>
        translate <-0.35, 0.095, 1.25>
    }
}

#declare Wood2 = //T_Wood13
texture{
   pigment{
      wood
      turbulence 0.02
      scale 0.1
      translate <10, 0, 0>
      color_map {
         [0.0, 0.1 color rgb <0.60, 0.35, 0.20>
                   color rgb <0.60, 0.35, 0.20>]
         [0.1, 0.9 color rgb <0.60, 0.35, 0.20>
                   color rgb <0.90, 0.65, 0.30>]
         [0.9, 1.0 color rgb <0.90, 0.65, 0.30>
                   color rgb <0.60, 0.35, 0.20>]
      }
   }
}
texture{
   pigment{
      wood
      turbulence 0.01
      scale 0.05 
      //translate <10, 0, 0>
      color_map {
         [0.0, 0.1 color rgbf <0.90, 0.65, 0.30, 0.00>
                   color rgbf <0.90, 0.65, 0.30, 0.30>]
         [0.1, 1.0 color rgbf <0.90, 0.65, 0.30, 0.30>
                   color rgbf <1.00, 1.00, 1.00, 1.00> ] 
      }
      /*
      color_map { 
         [0.0, 0.4 color rgbf <1.00, 1.00, 1.00, 1.00>
                   color rgbf <0.90, 0.65, 0.30, 0.30>]
         [0.4, 0.5 color rgbf <0.90, 0.65, 0.30, 0.00>
                   color rgbf <0.90, 0.65, 0.30, 0.30>]
         [0.5, 1.0 color rgbf <0.90, 0.65, 0.30, 0.30>
                   color rgbf <1.00, 1.00, 1.00, 1.00> ] 
      }
      */
   }
}

#declare Cork = 
texture {//I took this from "textures.inc" original name "Cork"
   pigment {granite color_map {
   [0.00 rgb <0.93, 0.71, 0.532>]
   [0.60 rgb <0.98, 0.81, 0.60>]
   [0.60 rgb <0.50, 0.30, 0.20>]
   [0.65 rgb <0.50, 0.30, 0.20>]
   [0.65 rgb <0.80, 0.53, 0.46>]
   [1.00 rgb <0.85, 0.75, 0.35>]
   }}
   finish{specular 0.1 roughness 0.5}
   //scale 0.25 // Generally looks best scaled longer on one axis
}
